Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_ContentQuota

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_PublicObject
                  oracle.ifs.server.S_TiePublicObject
                      oracle.ifs.server.S_ApplicationObject
                          oracle.ifs.server.S_TieApplicationObject
                              oracle.ifs.server.S_ContentQuota

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieContentQuota

    public class S_ContentQuota

extends S_TieApplicationObject

A ContentQuota contains information that defines how much storage space in iFS is allocated and consumed by the DirectoryUser. For quota enforcement, the ContentQuota object must be enabled.

See Also:
  `S_LibraryService`, `S_LibrarySession`
(Published)

Field Summary

Fields inherited from class oracle.ifs.server.S_PublicObject
`ACL_ATTRIBUTE, CLASS_NAME, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICY_ENUM_EXTENDEDFREE_IGNORE_OWNERSHIP, POLICY_ENUM_EXTENDEDFREE_INVALID_VALUE, POLICY_ENUM_EXTENDEDFREE_REQUIRE_ADMIN, POLICYBUNDLE_ATTRIBUTE, RESOLVED_OBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_ContentQuota(S_LibrarySession session, java.lang.Long classId)` Constructs a S_ContentQuota object.
`protected` | `S_ContentQuota(S_LibrarySession session, S_LibraryObjectData data)` Constructs a S_ContentQuota object.

Method Summary
`protected void` | `calculateConsumedStorage()` Calculates the current consumed storage for the DirectoryUser and updates this ContentQuota object.
`java.io.Serializable` | `DYNUpdateContentQuota(java.io.Serializable payload)` Used for upgrade.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` Update any system attributes appropriate for creating this object; in this case, derive the UniqueName.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Performs the necessary operations before an update.
`protected long` | `getAllocatedStorage()` Gets the amount of allocated storage.
`S_PublicObject` | `getAssociatedPublicObject()` Gets the PublicObject associated with this ContentQuota object.
`protected long` | `getConsumedStorage()` Gets the amount of consumed storage.
`protected static S_ContentQuota` | `getUserContentQuota(S_LibrarySession sess)` Gets the ContentQuota object associated with the current user
`protected boolean` | `isBroadcastCreateEventEnabled()` Returns indication as to whether create events should be posted.
`protected boolean` | `isEnabled()` Determines whether this ContentQuota is enabled.
`protected void` | `updateConsumedStorage()` Updates directly the consumed storage; the associated userid is provided as a convenience, as it was obtained to verfiy adminmode (if not the current user).
`protected void` | `verifyCanFree()` Verifies that the instance can be freed.
`protected void` | `verifyCanLock()` Verifies that the instance can be locked or unlocked.
`protected void` | `verifyCanUpdate()` Verifies that the instance can be updated.
`protected void` | `verifyCanUseContentQuota()` Verify that the current user can use this ContentQuota object.
`protected void` | `verifyUnderQuotaLimit()` Verifies that the current user isn't overdrawn on quota
`protected void` | `verifyUnderQuotaLimit(long proposedConsumption)` Checks if the quota gets over drawn after the proposed consumption.

Methods inherited from class oracle.ifs.server.S_PublicObject
`addCategory, addRelationship, addRelationship, canUseContentQuota, cascadeCopy, cascadeDelete, cascadeFree, cascadeUndelete, checkAccess, constructPublicObjectArray, createCategories, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, delete, delete, deriveDefinition, determineResolvedObject, DYNReplaceCreator, DYNReplaceDeletor, DYNReplaceModifier, extendedPostDelete, extendedPostFree, extendedPostInsert, extendedPostUndelete, extendedPostUpdate, extendedPreCopy, extendedPreDelete, extendedPreFree, extendedPreUndelete, forceSecuredObjectsToClear, freeIfNoFolderReferences, freeNonsharedAcl, freeNonsharedLockObject, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllLeftRelationships, getAllRightRelationships, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAuditEventFolderContext, getCategories, getCategories, getCategories, getCategory, getDefaultAclFromUserProfile, getFamily, getFlags, getLeftRelationships, getLeftwardRelationshipDatas, getLeftwardRelationshipDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinkIds, getLinks, getLockedForSessionId, getLockObject, getOwner, getPrimaryParentFolder, getPropagatedSecurityAttributeNames, getPropagatedSecurityColumnNames, getReferencingFolderIds, getReferencingFolders, getResolvedObject, getRightRelationships, getRightwardRelationshipDatas, getRightwardRelationshipDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSpecificLeftRelationships, getSpecificRightRelationships, getVersionDescriptions, handleCascade, handleExtendedFreePolicy, hasNameAttribute, invokeLockingPolicy, isAuditCertificateSecured, isDeleted, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isLockObjectEnabled, isLockObjectEnabled, isOwner, isVersionable, postCreateAddToFolder, postDelete, postSecurityChangeAuditEvent, postUndelete, preDelete, preUndelete, propagateFreeIfNoFolderReferences, propagateNameChanges, propagateSecurityChanges, propogateSettingsToProxyService, putProperty, reassociateLinks, relationshipExists, removeRelationship, removeRelationship, removeRowFromAclProxyIfSecured, resolveACLSetting, resolveResolvedObject, resolveSecuredBySettings, signalLeftRelationshipFreed, signalRightRelationshipFreed, undelete, undelete, unlockForSession, updateFamily, updateLastModifiedInfo, updatePrimaryParentFolder, vectorToSPublicObjectArray, verifyCanAddRelationship, verifyCanCreate, verifyCanRemoveRelationship, verifyCanSetPolicy, verifyCanUnlock, verifyCanUseContentQuota, verifyGrantAccess, verifyObjectNotLocked, verifyObjectNotLocked, verifyPublicObjectPermission`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_ContentQuota

    protected S_ContentQuota(S_LibrarySession session,
                             S_LibraryObjectData data)
                      throws IfsException

  Constructs a S_ContentQuota object. This is the standard variant.

  Parameters:
    `session` - current LibrarySession
    `data` - Data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### S_ContentQuota

    protected S_ContentQuota(S_LibrarySession session,
                             java.lang.Long classId)
                      throws IfsException

  Constructs a S_ContentQuota object. This variant is used for objects that have not been created in the database yet.

  Parameters:
    `session` - current LibrarySession
    `classId` - the id of the class of the object being constructed.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getAssociatedPublicObject

    public S_PublicObject getAssociatedPublicObject()
                                             throws IfsException

  Description copied from class: `S_ContentQuota`
  Gets the PublicObject associated with this ContentQuota object.

  Returns:
    the PublicObject
  Throws:
    `IfsException` - if operation fails
  (Published)

### isEnabled

    protected boolean isEnabled()
                         throws IfsException

  Description copied from class: `S_ContentQuota`
  Determines whether this ContentQuota is enabled.

  Returns:
    true if enabled
  Throws:
    `IfsException` - if operation fails
  (Published)

### getAllocatedStorage

    protected long getAllocatedStorage()
                                throws IfsException

  Description copied from class: `S_ContentQuota`
  Gets the amount of allocated storage. Returns 0 if no storage value is set.

  Returns:
    allocated storage (in bytes)
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getConsumedStorage

    protected long getConsumedStorage()
                               throws IfsException

  Description copied from class: `S_ContentQuota`
  Gets the amount of consumed storage. Returns 0 if no storage value is set.

  Overrides:
    `getConsumedStorage` in class `S_PublicObject`
  Returns:
    consumed storage (in bytes)
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getUserContentQuota

    protected static S_ContentQuota getUserContentQuota(S_LibrarySession sess)
                                                 throws IfsException

  Description copied from class: `S_ContentQuota`
  Gets the ContentQuota object associated with the current user

  Parameters:
    `sess` - the session
  Returns:
    ContentQuota for the user
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### verifyCanUseContentQuota

    protected void verifyCanUseContentQuota()
                                     throws IfsException

  Description copied from class: `S_ContentQuota`
  Verify that the current user can use this ContentQuota object.

  Throws:
    `IfsException` - if user cannot use the specified quota
  (Unpublished)

### isBroadcastCreateEventEnabled

    protected boolean isBroadcastCreateEventEnabled()
                                             throws IfsException

  Description copied from class: `S_ContentQuota`
  Returns indication as to whether create events should be posted.

  Overridden by subclasses that require create events (most do not).

  Overrides:
    `isBroadcastCreateEventEnabled` in class `S_LibraryObject`
  Returns:
    true if create event should be posted
  Throws:
    `IfsException` - if operation fails.

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_ContentQuota`
  Update any system attributes appropriate for creating this object; in this case, derive the UniqueName.

  Overrides:
    `extendedPreInsert` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_ContentQuota`
  Performs the necessary operations before an update.

  Overrides:
    `extendedPreUpdate` in class `S_PublicObject`
  Parameters:
    `opState` - current state of the operation
    `def` - current object definition to be updated
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### verifyUnderQuotaLimit

    protected void verifyUnderQuotaLimit()
                                  throws IfsException

  Description copied from class: `S_ContentQuota`
  Verifies that the current user isn't overdrawn on quota

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyUnderQuotaLimit

    protected void verifyUnderQuotaLimit(long proposedConsumption)
                                  throws IfsException

  Description copied from class: `S_ContentQuota`
  Checks if the quota gets over drawn after the proposed consumption.

  Parameters:
    `proposedConsumption` - proposedConsumption in bytes
  Throws:
    `IfsException` - if out of quota or if operation fails

### calculateConsumedStorage

    protected void calculateConsumedStorage()
                                     throws IfsException

  Description copied from class: `S_ContentQuota`
  Calculates the current consumed storage for the DirectoryUser and updates this ContentQuota object.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### verifyCanFree

    protected void verifyCanFree()
                          throws IfsException

  Description copied from class: `S_ContentQuota`
  Verifies that the instance can be freed.

  Overrides:
    `verifyCanFree` in class `S_PublicObject`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanUpdate

    protected void verifyCanUpdate()
                            throws IfsException

  Description copied from class: `S_ContentQuota`
  Verifies that the instance can be updated.

  Overrides:
    `verifyCanUpdate` in class `S_PublicObject`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanLock

    protected void verifyCanLock()
                          throws IfsException

  Description copied from class: `S_ContentQuota`
  Verifies that the instance can be locked or unlocked.

  Overrides:
    `verifyCanLock` in class `S_PublicObject`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### updateConsumedStorage

    protected void updateConsumedStorage()
                                  throws IfsException

  Description copied from class: `S_ContentQuota`
  Updates directly the consumed storage; the associated userid is provided as a convenience, as it was obtained to verfiy adminmode (if not the current user).

  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### DYNUpdateContentQuota

    public java.io.Serializable DYNUpdateContentQuota(java.io.Serializable payload)
                                               throws IfsException

  Description copied from class: `S_ContentQuota`
  Used for upgrade. Sets up content quotas for the documents.

  Parameters:
    `payload` - the directory user id
  Returns:
    null
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD